View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008967CMakeCPackpublic2009-05-05 17:032009-05-12 15:14
ReporterEric NOULARD 
Assigned ToAlex Neundorf 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-6 
Target VersionFixed in Version 
Summary0008967: CPack RPM generator does work with rpm 4.6.0
Descriptionsee ML threads:

initial report:
http://www.cmake.org/pipermail/cmake/2009-March/028019.html [^]
and a possible solution:
http://www.cmake.org/pipermail/cmake/2009-March/028301.html [^]

more recently:
http://www.cmake.org/pipermail/cmake/2009-May/029210.html [^]
TagsNo tags attached.
Attached Filespatch file icon bug-8967-erk1.patch [^] (2,495 bytes) 2009-05-08 10:34 [Show Content]
? file icon CPackRPM.cmake [^] (11,827 bytes) 2009-05-08 11:54

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0016353)
Eric NOULARD (developer)
2009-05-08 10:32

Add reference to the RPM 4.6.0 which explicitely tells that

"Rpm enforces BuildRoot for all packages and ignores the directive in spec."
http://www.rpm.org/wiki/Releases/4.6.0 [^]
(0016354)
Eric NOULARD (developer)
2009-05-08 10:37

Patch against the CMake-2-6 branch is attached.
Tested with rpm 4.4.x for non-regression.
Needs testing with rpm 4.6.x even if user reported "same" patch to be working.
(0016356)
Eric NOULARD (developer)
2009-05-08 11:55

Added plain CPackRPM.cmake file in order to ease user testing.
(0016366)
Eric NOULARD (developer)
2009-05-10 09:11

Regarding the possible "impact" of this fix I did some historical
 review about the usage of --buildroot argument with rpm.

rpm 2.5.6 does support --buildroot
rpm 3.0.x does support --buildroot
rpm 4.0.x does support --buildroot
rpm 4.3.x does support --buildroot
rpm 4.4.x does support --buildroot
   Fedora Core 9 and before
   Mandriva 2008 and before

rpm 4.6.0 does support --buildroot
   Fedora Core 10 and after
   Mandriva 2009 and after

rpm 4.7.0 does support --buildroot
   ???

I'm confident the parch is harmless because:
   --buildroot command line option is supported since a LOT of time
   I did kept %Buildroot in spec file even if it is now
   ignored by rpm 4.6.x and up.

I would advise to commit this to both HEAD and CMake-2-6 because
more and more people will face the trouble with increased usage
of rpm 4.6.x in recent linux distros.
(0016367)
Eric NOULARD (developer)
2009-05-10 09:11

Regarding the possible "impact" of this fix I did some historical
 review about the usage of --buildroot argument with rpm.

rpm 2.5.6 does support --buildroot
rpm 3.0.x does support --buildroot
rpm 4.0.x does support --buildroot
rpm 4.3.x does support --buildroot
rpm 4.4.x does support --buildroot
   Fedora Core 9 and before
   Mandriva 2008 and before

rpm 4.6.0 does support --buildroot
   Fedora Core 10 and after
   Mandriva 2009 and after

rpm 4.7.0 does support --buildroot
   ???

I'm confident the patch is harmless because:
   --buildroot command line option is supported since a LOT of time
   I did kept %Buildroot in spec file even if it is now
   ignored by rpm 4.6.x and up.

I would advise to commit this to both HEAD and CMake-2-6 because
more and more people will face the trouble with increased usage
of rpm 4.6.x in recent linux distros.
(0016396)
Eric NOULARD (developer)
2009-05-12 10:07

Hi Alex,

Do not hesitate to tell me if you have trouble with that
patch I think it really deserve to be in 2-6.

By the way would it be possible to have it in HEAD too
plus may be the other
http://public.kitware.com/Bug/view.php?id=8988 [^]
on HEAD too.

As you may have seem it already proved itself useful:
http://www.cmake.org/pipermail/cmake/2009-May/029383.html [^]
(0016407)
Alex Neundorf (developer)
2009-05-12 15:14

Ok, I applied the patch to HEAD.
Please check that it works.

Only Bill can commit to the 2-6 branch, so please ask him about that.

Alex

- Issue History
Date Modified Username Field Change
2009-05-05 17:03 Eric NOULARD New Issue
2009-05-08 10:32 Eric NOULARD Note Added: 0016353
2009-05-08 10:34 Eric NOULARD File Added: bug-8967-erk1.patch
2009-05-08 10:37 Eric NOULARD Note Added: 0016354
2009-05-08 11:54 Eric NOULARD File Added: CPackRPM.cmake
2009-05-08 11:55 Eric NOULARD Note Added: 0016356
2009-05-10 09:11 Eric NOULARD Note Added: 0016366
2009-05-10 09:11 Eric NOULARD Note Added: 0016367
2009-05-11 15:31 Alex Neundorf Status new => assigned
2009-05-11 15:31 Alex Neundorf Assigned To => Alex Neundorf
2009-05-12 10:07 Eric NOULARD Note Added: 0016396
2009-05-12 15:14 Alex Neundorf Note Added: 0016407
2009-05-12 15:14 Alex Neundorf Status assigned => closed
2009-05-12 15:14 Alex Neundorf Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker